
#ifndef _MUSIC_H_
#define _MUSIC_H_

#include "base.h"

extern void InitMusicSystem(void);

extern void DoneMusicSystem(void);

extern void InitMusic(const char *fname);

extern void DoneMusic(void);

extern void PollMusic(void);

extern void CallMusicHandle(void);

extern bool IsMusicPlaying(void);

extern bool IsThereMusic(void);

extern int GetMusicPattern(void);

extern int GetMusicPos(void);

extern void SetMusicPattern(int);

extern void SetMusicPos(int);


#endif
